release_tracks: [GA, ALPHA, BETA]
help_text:
  brief: Update a multicast consumer association.
  description: |
    Update a multicast consumer association in the specified location of the current project.
  examples: |
    Update a multicast consumer association with the name `my-multicast-consumer-association`
    and location `zone`.

      $ {command} my-multicast-consumer-association --description="new description" --location=zone
arguments:
  resource:
    spec: !REF googlecloudsdk.command_lib.network_services.resources:multicastConsumerAssociation
    help_text: |
      Name of the multicast consumer association to be updated.
  params:
  - arg_name: description
    api_field: multicastConsumerAssociation.description
    help_text: The description for the multicast consumer association.
  labels:
    api_field: multicastConsumerAssociation.labels
update:
  read_modify_update: true
async:
  collection: networkservices.projects.locations.operations
request: &request
  GA:
    api_version: v1
  ALPHA:
    api_version: v1alpha1
  BETA:
    api_version: v1beta1
  collection: networkservices.projects.locations.multicastConsumerAssociations
  method: patch
